Skip to main content
POST
/
v1
/
business
/
wallet
Create a wallet
curl --request POST \
  --url https://api.zeam.money/gw/v1/business/wallet \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "success": true,
  "message": "<string>",
  "data": "<unknown>"
}

Authorizations

Authorization
string
header
required

Bearer token issued by the gateway. Source the token from one of:

  • POST /v1/public/auth/verify-otp (OTP user)
  • POST /v1/public/auth-connect/sign-in (Connect app)
  • OAuth (end-user mobile/web)

Include as Authorization: Bearer <token>.

Body

application/json

Wallet creation payload.

Response

Wallet created.

Standard Business API response envelope. The data field carries the domain-specific payload (array or object depending on the endpoint).

success
boolean
message
string
data
any

Domain-specific payload.